#pragma once

#include "Framework.h"
#include "Daram.h"
#include "BulletManager.h"

#define SAFE_DELETE(x) if(x) { delete x; x = NULL; }

class MainState :
	public GameState
{
	friend class Daram;
	friend class Bullet;
public:
	MainState(GameWindow *win);
	~MainState(void);

	void Initial();
	void Update(float dt);
	void Draw(float dt);
	void Destroy();

private:
	Daram *m_daram;
	BulletManager *m_bullets;
	GameFont m_time;
	GameTimer m_timer;

	int m_elapsedTime;
};
